View Issue Details

IDProjectCategoryView StatusLast Update
0018209LazarusLCLpublic2011-03-29 02:43
ReporterEric HeijnenAssigned ToPaul Ishenin 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version0.9.29 (SVN)Product Build 
Target Version1.0.0Fixed in Version0.9.31 (SVN) 
Summary0018209: Treeview with multiselect shows odd behaviour when selecting with shift
DescriptionWhen selecting multiple items in a treeview using 'shift' selection does not deselect previously selected items in the list

e.g:
i1
i2
i3
i4
i5

shift select i1 to i5 and then back to i4 keeps i5 selected while it should have been deselected

example with explanation attached

Also not sure if it's according to design but selecting of childnodes would be nice as well
TagsNo tags attached.
Fixed in Revision29882
LazTarget1.0
WidgetsetWin32/Win64
Attached Files

Relationships

related to 0018043 closedJuha Manninen TTreeView.MultiSelectStyle needs implementation 

Activities

2010-12-13 16:23

 

multiselecttreeview.zip (2,322 bytes)

Paul Ishenin

2011-03-17 08:09

manager   ~0046647

Please test and close if ok.

Eric Heijnen

2011-03-29 02:43

reporter   ~0046906

shift select works

Issue History

Date Modified Username Field Change
2010-12-13 16:23 Eric Heijnen New Issue
2010-12-13 16:23 Eric Heijnen File Added: multiselecttreeview.zip
2010-12-13 16:23 Eric Heijnen Widgetset => Win32/Win64
2010-12-13 16:33 Zeljan Rikalo Relationship added related to 0018043
2010-12-13 17:08 Vincent Snijders LazTarget => 1.0
2010-12-13 17:08 Vincent Snijders Status new => acknowledged
2010-12-13 17:08 Vincent Snijders Target Version => 1.0.0
2011-03-17 08:09 Paul Ishenin Fixed in Revision => 29882
2011-03-17 08:09 Paul Ishenin Status acknowledged => resolved
2011-03-17 08:09 Paul Ishenin Fixed in Version => 0.9.31 (SVN)
2011-03-17 08:09 Paul Ishenin Resolution open => fixed
2011-03-17 08:09 Paul Ishenin Assigned To => Paul Ishenin
2011-03-17 08:09 Paul Ishenin Note Added: 0046647
2011-03-29 02:43 Eric Heijnen Status resolved => closed
2011-03-29 02:43 Eric Heijnen Note Added: 0046906